org.apache.poi.ss.formula.eval

## Class ErrorEval

- java.lang.Object
- - org.apache.poi.ss.formula.eval.ErrorEval

- All Implemented Interfaces:
    ValueEval

      public final class ErrorEval
      extends java.lang.Object
      implements ValueEval

  Evaluations for formula errors

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ErrorEval` | `CIRCULAR_REF_ERROR`
    `static ErrorEval` | `DIV_ZERO` #DIV/0! - Division by zero
    `static ErrorEval` | `FUNCTION_NOT_IMPLEMENTED`
    `static ErrorEval` | `NA` #N/A - Argument or function not available
    `static ErrorEval` | `NAME_INVALID` #NAME? - Wrong function or range name
    `static ErrorEval` | `NULL_INTERSECTION` #NULL! - Intersection of two cell ranges is empty
    `static ErrorEval` | `NUM_ERROR` #NUM! - Value range overflow
    `static ErrorEval` | `REF_INVALID` #REF! - Illegal or deleted cell reference
    `static ErrorEval` | `VALUE_INVALID` #VALUE! - Wrong type of operand

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`
    `java.lang.String` | `getErrorString()`
    `static java.lang.String` | `getText(int errorCode)` Converts error codes to text.
    `java.lang.String` | `toString()`
    `static ErrorEval` | `valueOf(int errorCode)` Translates an Excel internal error code into the corresponding POI ErrorEval instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL_INTERSECTION

          public static final ErrorEval NULL_INTERSECTION

      #NULL! - Intersection of two cell ranges is empty

    - #### DIV_ZERO

          public static final ErrorEval DIV_ZERO

      #DIV/0! - Division by zero

    - #### VALUE_INVALID

          public static final ErrorEval VALUE_INVALID

      #VALUE! - Wrong type of operand

    - #### REF_INVALID

          public static final ErrorEval REF_INVALID

      #REF! - Illegal or deleted cell reference

    - #### NAME_INVALID

          public static final ErrorEval NAME_INVALID

      #NAME? - Wrong function or range name

    - #### NUM_ERROR

          public static final ErrorEval NUM_ERROR

      #NUM! - Value range overflow

    - #### NA

          public static final ErrorEval NA

      #N/A - Argument or function not available

    - #### FUNCTION_NOT_IMPLEMENTED

          public static final ErrorEval FUNCTION_NOT_IMPLEMENTED

    - #### CIRCULAR_REF_ERROR

          public static final ErrorEval CIRCULAR_REF_ERROR

  - ### Method Detail

    - #### valueOf

          public static ErrorEval valueOf(int errorCode)

      Translates an Excel internal error code into the corresponding POI ErrorEval instance
      Parameters:
        `errorCode` - An error code listed in `FormulaError`
      Throws:
        `java.lang.RuntimeException` - If an unknown errorCode is specified

    - #### getText

          public static java.lang.String getText(int errorCode)

      Converts error codes to text. Handles non-standard error codes OK. For debug/test purposes (and for formatting error messages).
      Returns:
        the String representation of the specified Excel error code.

    - #### getErrorCode

          public int getErrorCode()

    - #### getErrorString

          public java.lang.String getErrorString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.